
package com.werken.xpath;

import com.werken.xpath.impl.Context;

import org.dom4j.XPathEngine;
import org.dom4j.Node;

import java.util.List;

public class DOM4JXPathEngine implements XPathEngine
{
    public org.dom4j.XPath createXPath(String xpathExpr)
    {
        return new XPath( xpathExpr );
    }

    public List selectNodes(Node contextNode,
                            org.dom4j.XPath dom4jxpath)
    {
        XPath xpath = (XPath) dom4jxpath;

        return xpath.applyTo( contextNode );
    }

    public Node selectSingleNode(Node contextNode,
                                 org.dom4j.XPath dom4jxpath)
    {
        List selected = selectNodes( contextNode,
                                     dom4jxpath );

        if ( selected.isEmpty() )
        {
            return null;
        }

        return (Node) selected.get( 0 );
    }
        
}
